Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class AbstractScalarProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty
          net.sourceforge.pmd.properties.AbstractScalarProperty

All Implemented Interfaces:
  java.lang.Comparable<PropertyDescriptor>, PropertyDescriptor

Direct Known Subclasses:
  BooleanProperty, DoubleProperty, FloatProperty, IntegerProperty

    public abstract class AbstractScalarProperty

extends AbstractPMDProperty

No, subclasses are not necessarily scalar per se, they're just easy to parse without error. If you can come up with a better name...

Version:
  $Revision$
Author:
  Brian Remedios

Field Summary

Fields inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`AbstractScalarProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Object theDefault, float theUIOrder)` Constructor for AbstractScalarProperty.

Method Summary
`protected abstract java.lang.Object[]` | `arrayFor(int size)` Method arrayFor.
`protected abstract java.lang.Object` | `createFrom(java.lang.String value)` Method createFrom.
`java.lang.Object` | `valueFrom(java.lang.String valueString)` Method valueFrom.

Methods inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`areEqual, asDelimitedString, asString, choices, compareTo, defaultValue, description, errorFor, isArray, isRequired, maxValueCount, maxValueCount, multiValueDelimiter, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, typeErrorFor, uiOrder, valueErrorFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor
`type`

Constructor Detail

### AbstractScalarProperty

    public AbstractScalarProperty(java.lang.String theName,
                                  java.lang.String theDescription,
                                  java.lang.Object theDefault,
                                  float theUIOrder)

  Constructor for AbstractScalarProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefault` - Object
    `theUIOrder` - float

Method Detail

### createFrom

    protected abstract java.lang.Object createFrom(java.lang.String value)

  Method createFrom.

  Parameters:
    `value` - String
  Returns:
    Object

### arrayFor

    protected abstract java.lang.Object[] arrayFor(int size)

  Method arrayFor.

  Parameters:
    `size` - int
  Returns:
    Object[]

### valueFrom

    public java.lang.Object valueFrom(java.lang.String valueString)
                               throws java.lang.IllegalArgumentException

  Method valueFrom.

  Parameters:
    `valueString` - String
  Returns:
    Object[]
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `PropertyDescriptor.valueFrom(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.